#ifndef __timer_h__
#define __timer_h__


class CTimer
{
public:
	CTimer( );

	void	init();
	bool	timeout( unsigned long t );
	void	wake( unsigned long );
	unsigned long elapsed(  );

private:
	unsigned long	prev;
};

#endif

